#pragma once

#include "ConsoleBox.h"

class COutputView : public CDockablePane
{
		DECLARE_DYNAMIC(COutputView)
		CConsoleBox m_wndConsole;
		CFont       m_hFont;
		// Создание
	public:
		COutputView();
		virtual ~COutputView() override;

// Реализация
	public:
		void        UpdateFonts();

		void        SendChar(TCHAR ch)
		{
			m_wndConsole.PutChar(ch);
		}

		void        PutText(const std::wstring &wstr)
		{
			CString str = CString(wstr.c_str());
			str.Replace(_T("\n"), CRLF);
			m_wndConsole.AppendText(str);
		}

	protected:
		void        AdjustHorzScroll(CListBox &wndListBox);

	protected:
		afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
		afx_msg void OnSize(UINT nType, int cx, int cy);

		DECLARE_MESSAGE_MAP()
};

